Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountModifierFixed

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.DiscountModifier
          com.bea.commerce.ebusiness.price.engine.DiscountModifierFixed

Deprecated See BEA Commerce product offering

    @Deprecated
    public class DiscountModifierFixed

extends DiscountModifier

Supports FIXED_OFF and FIXED_PRICE ModifierTypes

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`DiscountModifierFixed(ModifierType type, double value, String currency)` Deprecated See BEA Commerce product offering
`DiscountModifierFixed(ModifierType type, String stringValue, String currency)` Deprecated See BEA Commerce product offering

Method Summary
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`Money` | `getMoney()` Deprecated See BEA Commerce product offering
`double` | `getValue()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class com.bea.commerce.ebusiness.price.engine.DiscountModifier
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### DiscountModifierFixed

    public DiscountModifierFixed(ModifierType type,
                                 String stringValue,
                                 String currency)

  Deprecated See BEA Commerce product offering

### DiscountModifierFixed

    public DiscountModifierFixed(ModifierType type,
                                 double value,
                                 String currency)

  Deprecated See BEA Commerce product offering

Method Detail

### getValue

    public double getValue()

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `DiscountModifier`

### getMoney

    public Money getMoney()

  Deprecated See BEA Commerce product offering

### getCurrency

    public String getCurrency()

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved